Bug 207258 - [si_LK] - oowriter is crashing with scim-sinhala for a particular character input
[si_LK] - oowriter is crashing with scim-sinhala for a particular character i...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 04:46 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: fontconfig-2.4.1-2.fc6 fontconfig-2.4.1-2.fc6, openoffice.org-2.0.4-4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 05:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace report for this bug (7.75 KB, text/plain)
2006-09-20 04:52 EDT, Satyabrata Maitra
no flags Details
Type "gR" and "kR" in oowriter (22.01 KB, image/png)
2006-09-28 05:41 EDT, Nicole Dai
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-09-20 04:46:36 EDT
Description of problem:
Oowriter is crashing with scim-sinhala if try to input a particular character
"R" selecting sinaha keyboard layout in the scim!!

Version-Release number of selected component (if applicable):
scim-sinhala-0.2.0-1.fc6
openoffice.org-core-2.0.4-3.1
fonts-sinhala-0.2-4

How reproducible:
Always

Steps to Reproduce:
1. Open oowriter from the console.
2. Type oowriter & in the command line
3. Activate SCIM with pressing CTRL + SPACE
4. Select sinhala from the SCIM table
5. Type "gR" (The Letter  "R" is causing crash oowriter)
6. Observe the result and have a look on the command line - the crash report!!
Actual results:
Oowriter is crashing with scim-sinhala with a particular letter input

Expected results:
It should show the letter properly and should not crash!!

Additional info: File attached with backtrace in the console.
Comment 1 Mayank Jain 2006-09-20 04:49:40 EDT
"kR" also crashes oowriter
Comment 2 Satyabrata Maitra 2006-09-20 04:52:57 EDT
Created attachment 136716 [details]
Backtrace report for this bug
Comment 3 Mayank Jain 2006-09-20 05:13:05 EDT
Another finding...

Follow this & the writer would NOT crash.

1) Open up kedit, activate scim-sinhala & type "kR", copy the new ligerature
2) Paste it in oowriter
3) from now on, typing "kR" would not crash oowriter.
Comment 4 Mayank Jain 2006-09-20 05:23:31 EDT
Backtrace from gdb

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1209132832 (LWP 18326)]
0x00c3b9ae in FcCompare (pat=0x9d10330, fnt=0xb4531058, value=0xbf985730,
result=0xbf985820) at fcmatch.c:392
392         while (i1 < pat->num && i2 < fnt->num)
(gdb) bt
#0  0x00c3b9ae in FcCompare (pat=0x9d10330, fnt=0xb4531058, value=0xbf985730,
result=0xbf985820) at fcmatch.c:392
#1  0x00c3c64e in IA__FcFontSetMatch (config=0x9bc33e0, sets=0xbf98581c,
nsets=1, p=0x9d10330, result=0xbf985820) at fcmatch.c:502
#2  0x030c2484 in psp::PrintFontManager::Substitute () from
/usr/lib/openoffice.org2.0/program/libpsp680li.so
#3  0x030c2171 in psp::PrintFontManager::Substitute () from
/usr/lib/openoffice.org2.0/program/libpsp680li.so
#4  0x02e7e4a5 in OutputDevice::IsTextUnderlineAbove () from
/usr/lib/openoffice.org2.0/program/libvcl680li.so
#5  0x02e83c3a in OutputDevice::DrawWaveLine () from
/usr/lib/openoffice.org2.0/program/libvcl680li.so
#6  0x02e84044 in OutputDevice::DrawWaveLine () from
/usr/lib/openoffice.org2.0/program/libvcl680li.so
#7  0x02e84535 in OutputDevice::DrawWaveLine () from
/usr/lib/openoffice.org2.0/program/libvcl680li.so
#8  0x02e85551 in OutputDevice::GetTextArray () from
/usr/lib/openoffice.org2.0/program/libvcl680li.so
#9  0x04feeb6e in SwFmtINetFmt::Clone () from
/usr/lib/openoffice.org2.0/program/libsw680li.so
#10 0x04ff7cb8 in non-virtual thunk to SwTxtNode::Update(SwIndex const&,
unsigned short, unsigned char, unsigned char) ()
   from /usr/lib/openoffice.org2.0/program/libsw680li.so
#11 0xb2bea038 in ?? ()
#12 0xbf985cec in ?? ()
#13 0x00000000 in ?? ()
(gdb) 
Comment 5 Mayank Jain 2006-09-25 05:18:17 EDT
No crash in
openoffice.org-writer-2.0.4-4.2
scim-sinhala-0.2.0-1.fc6
libicu-3.6-2
Comment 6 Akira TAGOH 2006-09-25 07:18:58 EDT
me neither with

scim-sinhala-0.2.0-1.fc6
fonts-sinhala-0.2-4
openoffice.org-core-2.0.4-4.2
fontconfig-2.4.1-1.fc6

So it may be accidentally fixed in the latest release.
changes the state to MODIFIED to wait for QE confirm.
Comment 7 Mayank Jain 2006-09-25 07:30:07 EDT
Yup!
Thanks Tagoh san for testing.
Comment 8 Nicole Dai 2006-09-28 05:41:56 EDT
Created attachment 137297 [details]
Type "gR" and "kR" in oowriter

Confirmed that the crash has not been found in:
scim-sinhala-0.2.0-1.fc6
fontconfig-2.4.1-2.fc6
openoffice.org-2.0.4-4.2
fonts-sinhala-0.2-4
Comment 9 Danishka Navin 2007-11-21 05:21:55 EST
working on RHEL 5.1

Note You need to log in before you can comment on or make changes to this bug.